# class KColor |
Definition | `#include <kcolordialog.h>`
Inherits | QColor (qt) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KColor ()
- KColor ( const KColor &col)
- KColor ( const QColor &col)
- KColor& operator= ( const KColor& col)
- bool operator== ( const KColor& col) const
- void setHsv (int _h, int _s, int _v)
- void setRgb (int _r, int _g, int _b)
- void rgb (int *_r, int *_g, int *_b)
- void hsv (int *_h, int *_s, int *_v)

#### Protected Members

- int h
- int s
- int v
- int r
- int g
- int b

## Detailed Description

KColor () | ### KColor

KColor ( const KColor &col) | ### KColor

KColor ( const QColor &col) | ### KColor

KColor& operator= ( const KColor& col) | ### operator=

bool operator== ( const KColor& col) | ### operator==

[const]

void setHsv (int _h, int _s, int _v) | ### setHsv

Reimplemented from QColor.

void setRgb (int _r, int _g, int _b) | ### setRgb

Reimplemented from QColor.

void rgb (int *_r, int *_g, int *_b) | ### rgb

Reimplemented from QColor.

void hsv (int *_h, int *_s, int *_v) | ### hsv

Reimplemented from QColor.

int h | ### h

[protected]

int s | ### s

[protected]

int v | ### v

[protected]

int r | ### r

[protected]

int g | ### g

[protected]

int b | ### b

[protected]

Generated by: root@i386.ports.openbsd.org on Wed Apr 25 13:58:24 2001, using kdoc 2.0a53.